datacache <- new.env(hash=TRUE, parent=emptyenv())

porgene11stssentrezg <- function() showQCData("porgene11stssentrezg", datacache)
porgene11stssentrezg_dbconn <- function() dbconn(datacache)
porgene11stssentrezg_dbfile <- function() dbfile(datacache)
porgene11stssentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
porgene11stssentrezg_dbInfo <- function() dbInfo(datacache)

porgene11stssentrezgORGANISM <- "Sus scrofa"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "porgene11stssentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("PIGCHIP_DB", "porgene11stssentrezg", "chip porgene11stssentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("porgene11stssentrezg.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(porgene11stssentrezg_dbconn())
}

